corda / net.corda.node.services.persistence / DBCheckpointStorage

# DBCheckpointStorage

`class DBCheckpointStorage : CheckpointStorage`

Simple checkpoint key value storage in DB using the underlying JDBCHashMap and transactional context of the call sites.

### Constructors

<init> | `DBCheckpointStorage()` Simple checkpoint key value storage in DB using the underlying JDBCHashMap and transactional context of the call sites.

### Functions

addCheckpoint | `fun addCheckpoint(checkpoint: Checkpoint): Unit` Add a new checkpoint to the store.
forEach | `fun forEach(block: (Checkpoint) -> Boolean): Unit` Allows the caller to process safely in a thread safe fashion the set of all checkpoints. The checkpoints are only valid during the lifetime of a single call to the block, to allow memory management. Return false from the block to terminate further iteration.
removeCheckpoint | `fun removeCheckpoint(checkpoint: Checkpoint): Unit` Remove existing checkpoint from the store. It is an error to attempt to remove a checkpoint which doesn't exist in the store. Doing so will throw an IllegalArgumentException.